# Get Outbound Call Status

{% hint style="success" %}
**-** **NEW! -  Interactive API docs, now live!**

Visit [api-docs.plumvoice.com](https://api-docs.plumvoice.com) to **read** Plum API documentation, **build and test requests** in our interactive API sandbox, **review** the responses, and **share** it all with your team.
{% endhint %}

## Checking Status For An Outbound Call

<mark style="color:blue;">`GET`</mark> `https://fuse.plumvoice.com/api/outbound/{call_id}`

Check the status of an outbound call.

#### Path Parameters

| Name     | Type   | Description                                                                                         |
| -------- | ------ | --------------------------------------------------------------------------------------------------- |
| call\_id | string | <p>Call ID for the desired call<br>The call\_id is returned from the queue and bulk\_queue APIs</p> |

{% tabs %}
{% tab title="200 " %}
{% tabs %}
{% tab title="JSON" %}

```javascript
{
  "call_details": {
    "max_attempts": "1",
    "attempts": "1",
    "events": [
      {
        "event": "queued",
        "timestamp": 1475095892
      },
      {
        "event": "dialing",
        "timestamp": 1475095893
      },
      {
        "event": "connected",
        "timestamp": 1475095925
      },
      {
        "event": "disconnected",
        "timestamp": 1475095928
      }
    ],
    "phone_number": "'6173720293'",
    "status": "completed",
    "queued_timestamp": "1475095892",
    "start_timestamp": "1475095925",
    "end_timestamp": "1475095928",
    "reattempt_wait": "300",
    "duration": 3
  }
}
```

{% endtab %}

{% tab title="XML" %}

```markup
<?xml version="1.0"?>
<result>
    <call_details>
        <max_attempts>1</max_attempts>
        <attempts>1</attempts>
        <events>
            <item>
                <event>queued</event>
                <timestamp>1475095892</timestamp>
            </item>
            <item>
                <event>dialing</event>
                <timestamp>1475095893</timestamp>
            </item>
            <item>
                <event>connected</event>
                <timestamp>1475095925</timestamp>
            </item>
            <item>
                <event>disconnected</event>
                <timestamp>1475095928</timestamp>
            </item>
        </events>
        <phone_number>'6173720293'</phone_number>
        <status>completed</status>
        <queued_timestamp>1475095892</queued_timestamp>
        <start_timestamp>1475095925</start_timestamp>
        <end_timestamp>1475095928</end_timestamp>
        <reattempt_wait>300</reattempt_wait>
        <duration>3</duration>
    </call_details>
</result>
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404 Example: no outbound id was found" %}
{% tabs %}
{% tab title="JSON" %}

```javascript
{"error":"No outbound call was found by that id."}
```

{% endtab %}

{% tab title="XML" %}

```markup
<?xml version="1.0"?>
<result>
  <error>No outbound call was found by that id.</error>
</result>
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

### **Possible Response Codes**

* **200**: success
* **401**: authentication headers invalid or the account is inactive
* **403**: user does not have the appropriate permission to view the outbound call (owned by another user)
* **404**: outbound call not found
* **405**: invalid HTTP method supplied (only GET allowed)
* **500**: database error

The return structure contains the following item(s):

| Name          | Data Type | Always Present | Description                                                                                                                                 |
| ------------- | --------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| error         | string    | no             | Message indicating what went wrong with the request when the HTTP code is not 200.                                                          |
| call\_details | mixed     | no             | All call data for the outbound call. Supplied when the HTTP code is 200. See the table below for more information on the data in this item. |

### Definitions: Call Detail Data&#x20;

| Name              | Data Type | Value                                                                                                                                       |
| ----------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| status            | string    | Current status for the outbound call.                                                                                                       |
| attempts          | int       | Total number of attempts made.                                                                                                              |
| max\_attempts     | int       | Maximum number of attempts for each queued number.                                                                                          |
| queued\_timestamp | int       | Unix timestamp indicating when the call was queued.                                                                                         |
| start\_timestamp  | int       | Unix timestamp indicating when the call was scheduled to start outbound call attempts.                                                      |
| end\_timestamp    | int       | Unix timestamp indicating when the outbound call was scheduled to stop outbound attempts.                                                   |
| reattempt\_wait   | int       | Time, in seconds, to wait between retrying the outbound call after a failure.                                                               |
| events            | mixed     | Numerically indexed array of outbound call events. Each row uses the 'event' and 'timestamp' labels to indicate the event and its duration. |
| duration          | int       | Duration, in seconds, of a successfully completed call.                                                                                     |

### **Sample Code**

This sample PHP code makes a request to this method:

```php
<?php
// account and application settings
$email = '<your_email_address>';
$developer_key = '<your_developer_key>';
$call_id = '<your_call_id>';

// build the URL
$url = 'https://fuse.plumvoice.com/api/outbound/'.$call_id;

$ch = curl_init();
curl_setopt($ch, CURLOPT_USERPWD, $email.':'.$developer_key);
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HTTPHEADER, array("Accept: application/json"));
$result = curl_exec($ch);
$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
var_dump($result);
var_dump($http_code);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plumvoice.com/fuse/apis/outbound-calls/outbound-call-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
